VkLayerDeviceCreateInfo Struct Reference

`#include <vk_layer.h>`

## Data Fields

VkStructureType | sType
const void * | pNext
VkLayerFunction | function
union {
VkLayerDeviceLink * pLayerInfo
PFN_vkSetDeviceLoaderData pfnSetDeviceLoaderData
} | u

## Detailed Description

Definition at line 127 of file vk_layer.h.

## Field Documentation

## function

VkLayerFunction VkLayerDeviceCreateInfo::function

Definition at line 130 of file vk_layer.h.

## pfnSetDeviceLoaderData

PFN_vkSetDeviceLoaderData VkLayerDeviceCreateInfo::pfnSetDeviceLoaderData

Definition at line 133 of file vk_layer.h.

## pLayerInfo

VkLayerDeviceLink* VkLayerDeviceCreateInfo::pLayerInfo

Definition at line 132 of file vk_layer.h.

## pNext

const void* VkLayerDeviceCreateInfo::pNext

Definition at line 129 of file vk_layer.h.

## sType

VkStructureType VkLayerDeviceCreateInfo::sType

Definition at line 128 of file vk_layer.h.

## u

union { ... } VkLayerDeviceCreateInfo::u

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vk_layer.h